# Events

## GET /events

> Get event configurations

```json
{"openapi":"3.1.0","info":{"title":"Countryconfig implementation requirements","version":"1.8.0"},"paths":{"/events":{"get":{"tags":["Events"],"description":"Get event configurations","responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"array","items":{"description":"Configuration defining an event type.","$ref":"#/components/schemas/EventConfig"}}}}}}}}},"components":{"schemas":{"EventConfig":{"type":"object","properties":{"id":{"description":"Machine-readable identifier of the event (e.g. \"birth\", \"death\").","type":"string"},"dateOfEvent":{"description":"Reference to the field capturing the date of the event (e.g. date of birth). Defaults to the event creation date if unspecified.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"description":"Reference to a field defined in the event metadata, using the field id.","type":"object","properties":{"$$event":{"type":"string","enum":["createdAt","updatedAt","legalStatuses.DECLARED.createdAt","legalStatuses.DECLARED.acceptedAt","legalStatuses.REGISTERED.createdAt","legalStatuses.REGISTERED.acceptedAt"]}},"required":["$$event"],"additionalProperties":false}]},"placeOfEvent":{"description":"Reference to the field capturing the place of the event (e.g. place of birth). Defaults to the meta.createdAtLocation if unspecified.","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},"title":{"description":"Title template for the singular event, supporting variables (e.g. \"{applicant.name.firstname} {applicant.name.surname}\").","$ref":"#/components/schemas/TranslationConfig"},"fallbackTitle":{"description":"Fallback title shown when the main title resolves to an empty value.","$ref":"#/components/schemas/TranslationConfig"},"summary":{"description":"Summary information displayed in the event overview.","type":"object","properties":{"fields":{"description":"Fields displayed in the event summary view.","type":"array","items":{"anyOf":[{"description":"Custom field defined for the summary view.","type":"object","properties":{"emptyValueMessage":{"description":"Default message displayed when the field value is empty.","$ref":"#/components/schemas/TranslationConfig"},"conditionals":{"default":[],"type":"array","items":{"description":"If 'SHOW' conditional is defined, the component is shown to the user only if the condition is met","type":"object","properties":{"type":{"type":"string","const":"SHOW"},"conditional":{"$ref":"#/components/schemas/Conditional"}},"required":["type","conditional"],"additionalProperties":false}},"id":{"description":"Identifier of the summary field.","type":"string"},"value":{"description":"Field value template supporting variables from configuration and EventMetadata (e.g. \"{informant.phoneNo} {informant.email}\").","$ref":"#/components/schemas/TranslationConfig"},"label":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["id","value","label"],"additionalProperties":false},{"description":"Field referencing existing event data by field ID.","type":"object","properties":{"emptyValueMessage":{"description":"Default message displayed when the field value is empty.","$ref":"#/components/schemas/TranslationConfig"},"conditionals":{"default":[],"type":"array","items":{"description":"If 'SHOW' conditional is defined, the component is shown to the user only if the condition is met","type":"object","properties":{"type":{"type":"string","const":"SHOW"},"conditional":{"$ref":"#/components/schemas/Conditional"}},"required":["type","conditional"],"additionalProperties":false}},"fieldId":{"type":"string"},"label":{"description":"Overrides the default label from the referenced field when provided.","$ref":"#/components/schemas/TranslationConfig"}},"required":["fieldId"],"additionalProperties":false}]}}},"required":["fields"],"additionalProperties":false},"label":{"description":"Human-readable label for the event type.","$ref":"#/components/schemas/TranslationConfig"},"actions":{"description":"Configuration of system-defined actions associated with the event.","type":"array","items":{"$ref":"#/components/schemas/ActionConfig"}},"actionOrder":{"description":"Order of actions in the action menu. Use either the action type for core actions or the customActionType for custom actions.","type":"array","items":{"type":"string"}},"declaration":{"description":"Configuration of the form used to gather event data.","type":"object","properties":{"label":{"description":"Human readable description of the form","$ref":"#/components/schemas/TranslationConfig"},"pages":{"type":"array","items":{"type":"object","properties":{"id":{"description":"Unique identifier for the page","type":"string"},"title":{"description":"Header title of the page","$ref":"#/components/schemas/TranslationConfig"},"requireCompletionToContinue":{"description":"If true, all required fields must be filled before continuing to the next page","default":false,"type":"boolean"},"fields":{"description":"Fields to be rendered on the page","type":"array","items":{"$ref":"#/components/schemas/FieldConfig"}},"conditional":{"description":"Page will be shown if condition is met. If conditional is not defined, the page will be always shown.","$ref":"#/components/schemas/Conditional"},"type":{"default":"FORM","type":"string","const":"FORM"}},"required":["id","title","requireCompletionToContinue","fields","type"],"additionalProperties":false}}},"required":["label","pages"],"additionalProperties":false},"advancedSearch":{"description":"Configuration of fields available in the advanced search feature.","default":[],"type":"array","items":{"type":"object","properties":{"title":{"description":"Advanced search tab title","$ref":"#/components/schemas/TranslationConfig"},"fields":{"description":"Advanced search fields within the tab.","type":"array","items":{"oneOf":[{"type":"object","properties":{"config":{"type":"object","properties":{"type":{"description":"Determines the search type of field. How to match value.","type":"string","enum":["fuzzy","exact","range","within"]},"searchFields":{"description":"\n      Defines multiple form fields that should be searched when this field has a value.\n      All specified fields will be combined using OR logic.\n\n      Example: { searchFields: ['mother.name', 'father.name', 'informant.name'] }\n      Will search all fields and return a record if any of the fields match the search value.     \n      ","type":"array","items":{"type":"string"}}},"required":["type"],"additionalProperties":false},"type":{"description":"\n      Explicitly specify the field type for searchFields.\n      This is required when searchFields is defined, to show the correct control in the UI.\n        \n      Example: FieldType.NAME for name fields, FieldType.TEXT for text fields, FieldType.DATE for date fields, etc.\n      ","type":"string","enum":["NAME","PHONE","ID","ADDRESS","TEXT","NUMBER","NUMBER_WITH_UNIT","TEXTAREA","EMAIL","DATE","AGE","DATE_RANGE","SELECT_DATE_RANGE","TIME","IMAGE_VIEW","PARAGRAPH","HEADING","PAGE_HEADER","RADIO_GROUP","FILE","FILE_WITH_OPTIONS","BULLET_LIST","CHECKBOX","SELECT","COUNTRY","LOCATION","DIVIDER","ADMINISTRATIVE_AREA","FACILITY","OFFICE","SIGNATURE","DATA","BUTTON","SEARCH","ALPHA_PRINT_BUTTON","HTTP","LINK_BUTTON","VERIFICATION_STATUS","QUERY_PARAM_READER","QR_READER","ID_READER","LOADER","ALPHA_HIDDEN","USER_ROLE","CUSTOM"]},"label":{"description":"\n      Explicitly specify the label for searchFields.\n      This is required when searchFields is defined.            \n      ","$ref":"#/components/schemas/TranslationConfig"},"options":{"type":"array","items":{"type":"object","properties":{"value":{"description":"The value of the option","type":"string"},"label":{"description":"The label of the option","anyOf":[{"type":"string"},{"$ref":"#/components/schemas/TranslationConfig"}]}},"required":["value","label"],"additionalProperties":false}},"searchCriteriaLabelPrefix":{"description":"\n    This property determines whether to add a prefix (such as \"Child\" or \"Applicant\") before the field label\n    when rendering search parameter labels — for example, in the search results page to indicate which fields were used in the search.\n\n    For example, a field config like { id: \"child.name.firstname\", label: { defaultMessage: \"First Name(s)\" } } would render as \"First Name(s)\" by default.\n\n    A field config like { id: \"mother.firstname\", label: { defaultMessage: \"First Name(s)\" } } would also render as \"First Name(s)\" by default.\n\n    So, if both child.name.firstname and mother.firstname are used in a search, the resulting search criteria labels would be \"First Name(s)\", \"First Name(s)\",\n    which is ambiguous.\n\n    Now, if we treat the field ID prefix as a label (e.g., \"applicant.firstname\" → \"Applicant\"), and the field label is already\n    descriptive — like { id: \"applicant.firstname\", label: { defaultMessage: \"Applicant's First Name\" } } — then the resulting\n    label would be \"Applicant Applicant's First Name\", which is redundant and awkward.\n\n    By setting searchCriteriaLabelPrefix to a translation config object, we can explicitly define the desired prefix\n    in the country-config > event.advancedSearch configuration. For example: field(\"child.dob\", { searchCriteriaLabelPrefix: TranslationConfig }).\n    ","$ref":"#/components/schemas/TranslationConfig"},"conditionals":{"description":"\n       In advanced search, we sometimes need to override the default field visibility conditionals.\n\n       For example, Informant fields in the declaration form may have conditional logic\n       that hides them based on other field values. Since the advanced search form reuses\n       the declaration form config, those same conditionals would apply by default.\n\n       However, in advanced search we often want to make all Informant fields searchable,\n       regardless of their original visibility logic. To do this, we explicitly set their\n       'conditionals' to an empty array ('[]') in the search config. This ensures they\n       are always rendered in the advanced search form.\n      ","type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"validations":{"description":"Option for overriding the field validations specifically for advanced search form.","type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"fieldId":{"type":"string"},"fieldType":{"type":"string","const":"field"}},"required":["config","fieldId","fieldType"],"additionalProperties":false},{"type":"object","properties":{"config":{"type":"object","properties":{"type":{"description":"Determines the search type of field. How to match value.","type":"string","enum":["fuzzy","exact","range","within"]},"searchFields":{"description":"\n      Defines multiple form fields that should be searched when this field has a value.\n      All specified fields will be combined using OR logic.\n\n      Example: { searchFields: ['mother.name', 'father.name', 'informant.name'] }\n      Will search all fields and return a record if any of the fields match the search value.     \n      ","type":"array","items":{"type":"string"}}},"required":["type"],"additionalProperties":false},"type":{"description":"\n      Explicitly specify the field type for searchFields.\n      This is required when searchFields is defined, to show the correct control in the UI.\n        \n      Example: FieldType.NAME for name fields, FieldType.TEXT for text fields, FieldType.DATE for date fields, etc.\n      ","type":"string","enum":["NAME","PHONE","ID","ADDRESS","TEXT","NUMBER","NUMBER_WITH_UNIT","TEXTAREA","EMAIL","DATE","AGE","DATE_RANGE","SELECT_DATE_RANGE","TIME","IMAGE_VIEW","PARAGRAPH","HEADING","PAGE_HEADER","RADIO_GROUP","FILE","FILE_WITH_OPTIONS","BULLET_LIST","CHECKBOX","SELECT","COUNTRY","LOCATION","DIVIDER","ADMINISTRATIVE_AREA","FACILITY","OFFICE","SIGNATURE","DATA","BUTTON","SEARCH","ALPHA_PRINT_BUTTON","HTTP","LINK_BUTTON","VERIFICATION_STATUS","QUERY_PARAM_READER","QR_READER","ID_READER","LOADER","ALPHA_HIDDEN","USER_ROLE","CUSTOM"]},"label":{"description":"\n      Explicitly specify the label for searchFields.\n      This is required when searchFields is defined.            \n      ","$ref":"#/components/schemas/TranslationConfig"},"options":{"type":"array","items":{"type":"object","properties":{"value":{"description":"The value of the option","type":"string"},"label":{"description":"The label of the option","anyOf":[{"type":"string"},{"$ref":"#/components/schemas/TranslationConfig"}]}},"required":["value","label"],"additionalProperties":false}},"searchCriteriaLabelPrefix":{"description":"\n    This property determines whether to add a prefix (such as \"Child\" or \"Applicant\") before the field label\n    when rendering search parameter labels — for example, in the search results page to indicate which fields were used in the search.\n\n    For example, a field config like { id: \"child.name.firstname\", label: { defaultMessage: \"First Name(s)\" } } would render as \"First Name(s)\" by default.\n\n    A field config like { id: \"mother.firstname\", label: { defaultMessage: \"First Name(s)\" } } would also render as \"First Name(s)\" by default.\n\n    So, if both child.name.firstname and mother.firstname are used in a search, the resulting search criteria labels would be \"First Name(s)\", \"First Name(s)\",\n    which is ambiguous.\n\n    Now, if we treat the field ID prefix as a label (e.g., \"applicant.firstname\" → \"Applicant\"), and the field label is already\n    descriptive — like { id: \"applicant.firstname\", label: { defaultMessage: \"Applicant's First Name\" } } — then the resulting\n    label would be \"Applicant Applicant's First Name\", which is redundant and awkward.\n\n    By setting searchCriteriaLabelPrefix to a translation config object, we can explicitly define the desired prefix\n    in the country-config > event.advancedSearch configuration. For example: field(\"child.dob\", { searchCriteriaLabelPrefix: TranslationConfig }).\n    ","$ref":"#/components/schemas/TranslationConfig"},"conditionals":{"description":"\n       In advanced search, we sometimes need to override the default field visibility conditionals.\n\n       For example, Informant fields in the declaration form may have conditional logic\n       that hides them based on other field values. Since the advanced search form reuses\n       the declaration form config, those same conditionals would apply by default.\n\n       However, in advanced search we often want to make all Informant fields searchable,\n       regardless of their original visibility logic. To do this, we explicitly set their\n       'conditionals' to an empty array ('[]') in the search config. This ensures they\n       are always rendered in the advanced search form.\n      ","type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"validations":{"description":"Option for overriding the field validations specifically for advanced search form.","type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"fieldId":{"type":"string","enum":["event.trackingId","event.status","event.legalStatuses.REGISTERED.acceptedAt","event.legalStatuses.REGISTERED.createdAtLocation","event.legalStatuses.REGISTERED.registrationNumber","event.updatedAt"]},"fieldType":{"type":"string","const":"event"}},"required":["config","fieldId","fieldType"],"additionalProperties":false}],"type":"object"}}},"required":["title","fields"],"additionalProperties":false}},"flags":{"description":"Configuration of flags associated with the actions of this event type.","default":[],"type":"array","items":{"type":"object","properties":{"id":{"description":"Custom flag identifier defined by the country config.","type":"string"},"requiresAction":{"description":"Indicates if this flag expects an action to be performed to be cleared.","type":"boolean"},"label":{"description":"Human readable label of the flag.","$ref":"#/components/schemas/TranslationConfig"}},"required":["id","requiresAction","label"],"additionalProperties":false}}},"required":["id","title","summary","label","actions","declaration","advancedSearch","flags"],"additionalProperties":false},"TranslationConfig":{"description":"Translation configuration","type":"object","properties":{"id":{"description":"The identifier of the translation referred in translation CSV files","type":"string"},"defaultMessage":{"description":"Default translation message","type":"string"},"description":{"description":"Describe the translation for a translator to be able to identify it.","type":"string"}},"required":["id","defaultMessage","description"],"additionalProperties":false},"Conditional":{"description":"JSON schema conditional configuration"},"ActionConfig":{"description":"Configuration of an action available for an event. Data collected depends on the action type and is accessible through the annotation property in ActionDocument.","oneOf":[{"$ref":"#/components/schemas/ReadActionConfig"},{"$ref":"#/components/schemas/DeclareActionConfig"},{"$ref":"#/components/schemas/RejectActionConfig"},{"$ref":"#/components/schemas/RegisterActionConfig"},{"$ref":"#/components/schemas/PrintCertificateActionConfig"},{"$ref":"#/components/schemas/RequestCorrectionActionConfig"},{"$ref":"#/components/schemas/EditActionConfig"},{"$ref":"#/components/schemas/ArchiveActionConfig"},{"$ref":"#/components/schemas/CustomActionConfig"}],"type":"object","discriminator":{"propertyName":"type","mapping":{"READ":"#/components/schemas/ReadActionConfig","DECLARE":"#/components/schemas/DeclareActionConfig","REJECT":"#/components/schemas/RejectActionConfig","REGISTER":"#/components/schemas/RegisterActionConfig","PRINT_CERTIFICATE":"#/components/schemas/PrintCertificateActionConfig","REQUEST_CORRECTION":"#/components/schemas/RequestCorrectionActionConfig","EDIT":"#/components/schemas/EditActionConfig","ARCHIVE":"#/components/schemas/ArchiveActionConfig","CUSTOM":"#/components/schemas/CustomActionConfig"}}},"ReadActionConfig":{"type":"object","properties":{"label":{"description":"Human readable description of the action","$ref":"#/components/schemas/TranslationConfig"},"flags":{"description":"Flag actions which are executed when the action is performed.","default":[],"type":"array","items":{"type":"object","properties":{"id":{"anyOf":[{"anyOf":[{"type":"string","pattern":"^(delete|create|notify|declare|register|edit|duplicate_detected|reject|mark_as_duplicate|mark_as_not_duplicate|archive|print_certificate|request_correction|reject_correction|approve_correction|read|assign|unassign|custom):(requested|accepted|rejected)$"},{"type":"string","enum":["incomplete","rejected","correction-requested","potential-duplicate","edit-in-progress"]}]},{"description":"Custom flag identifier defined by the country config.","type":"string"}]},"operation":{"description":"Operation to perform on the flag.","type":"string","enum":["add","remove"]},"conditional":{"description":"When conditional is met, the operation is performed on the flag. If not provided, the operation is performed unconditionally.","$ref":"#/components/schemas/Conditional"}},"required":["id","operation"],"additionalProperties":false}},"supportingCopy":{"description":"Text displayed on the confirmation dialog","$ref":"#/components/schemas/TranslationConfig"},"icon":{"description":"Icon representing the action","type":"string"},"conditionals":{"description":"Read-action can not be disabled or hidden with conditionals.","not":{}},"type":{"type":"string","const":"READ"},"review":{"description":"Configuration of the review page for read-only view.","type":"object","properties":{"title":{"description":"Title of the review page","$ref":"#/components/schemas/TranslationConfig"},"fields":{"description":"Fields displayed on the review page for annotations.","type":"array","items":{"$ref":"#/components/schemas/FieldConfig"}}},"required":["title","fields"],"additionalProperties":false}},"required":["label","flags","type","review"],"additionalProperties":false},"FieldConfig":{"description":"Form field configuration","oneOf":[{"description":"Address input field – a combination of location and text fields","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"ADDRESS"},"configuration":{"type":"object","properties":{"lineSeparator":{"type":"string"},"fields":{"type":"array","items":{"type":"string","enum":["country","administrativeArea"]}},"administrativeLevels":{"type":"array","items":{"type":"string"}},"streetAddressForm":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"required":{"default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"label":{"$ref":"#/components/schemas/TranslationConfig"},"type":{"type":"string","const":"TEXT"},"conditionals":{"default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"parent":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}},"required":["id","label","type"],"additionalProperties":false}},"allowedLocations":{"description":"Limits which location options are selectable depending on user jurisdiction and location.","type":"object","properties":{"$jurisdiction":{"anyOf":[{"description":"Filters based on user jurisdiction relative to their office location in hierarchy.","type":"string","enum":["administrativeArea","location","all"]},{"type":"object","properties":{"$scope":{"type":"string","enum":["organisation.read-locations","user.read","user.create","user.edit","record.search","record.create","record.read","record.declare","record.notify","record.edit","record.reject","record.archive","record.review-duplicates","record.register","record.print-certified-copies","record.request-correction","record.correct","record.unassign-others","record.custom-action","bypassratelimit","record.reindex","user.data-seeding","integration.create","record.import","config.update-all","attachment.upload","profile.electronic-signature","user.read-only-my-audit","performance.read","performance.read-dashboards","performance.vital-statistics-export","record.confirm-registration","record.reject-registration","workqueue"]},"$option":{"type":"string","enum":["event","placeOfEvent","declaredIn","declaredBy","registeredIn","registeredBy","accessLevel","ids"]}},"required":["$scope","$option"],"additionalProperties":false}]}},"required":["$jurisdiction"],"additionalProperties":false}},"additionalProperties":false},"defaultValue":{"type":"object","properties":{"country":{"type":"string"},"streetLevelDetails":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string"}},"addressType":{"type":"string","const":"DOMESTIC"},"administrativeArea":{"anyOf":[{"type":"string","format":"uuid","pattern":"^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"},{"type":"object","properties":{"$userField":{"type":"string","enum":["id","name","role","fullHonorificName","device","firstname","middlename","surname","signature","avatar","primaryOfficeId","administrativeAreaId"]},"$location":{"type":"string"}},"required":["$userField"],"additionalProperties":false}]}},"required":["country","addressType"],"additionalProperties":false}},"required":["id","label","type"],"additionalProperties":false},{"description":"Text input","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"TEXT"},"defaultValue":{"anyOf":[{"type":"string","minLength":1},{"type":"object","properties":{"$userField":{"type":"string","enum":["id","name","role","fullHonorificName","device","firstname","middlename","surname","signature","avatar","primaryOfficeId","administrativeAreaId"]},"$location":{"type":"string"}},"required":["$userField"],"additionalProperties":false}]},"configuration":{"default":{"type":"text"},"type":"object","properties":{"maxLength":{"description":"Maximum length of the text","type":"number"},"type":{"type":"string","enum":["text","password"]},"prefix":{"$ref":"#/components/schemas/TranslationConfig"},"postfix":{"$ref":"#/components/schemas/TranslationConfig"}},"additionalProperties":false}},"required":["id","label","type"],"additionalProperties":false},{"description":"Number input","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"NUMBER"},"defaultValue":{"type":"number"},"configuration":{"type":"object","properties":{"min":{"description":"Minimum value","type":"number"},"max":{"description":"Maximum value","type":"number"},"prefix":{"$ref":"#/components/schemas/TranslationConfig"},"postfix":{"$ref":"#/components/schemas/TranslationConfig"}},"additionalProperties":false}},"required":["id","label","type"],"additionalProperties":false},{"description":"Number with unit input","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"NUMBER_WITH_UNIT"},"defaultValue":{"type":"object","properties":{"numericValue":{"type":"number"},"unit":{"type":"string"}},"required":["numericValue","unit"],"additionalProperties":false},"options":{"description":"A list of options for the unit select","type":"array","items":{"type":"object","properties":{"value":{"description":"The value of the option","type":"string"},"label":{"description":"The label of the option","anyOf":[{"type":"string"},{"$ref":"#/components/schemas/TranslationConfig"}]}},"required":["value","label"],"additionalProperties":false}},"configuration":{"type":"object","properties":{"min":{"description":"Minimum value of the number field","type":"number"},"max":{"description":"Maximum value of the number field","type":"number"},"numberFieldPlaceholder":{"description":"Placeholder for the number field","$ref":"#/components/schemas/TranslationConfig"}},"additionalProperties":false}},"required":["id","label","type","options"],"additionalProperties":false},{"description":"Multiline text input","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"TEXTAREA"},"defaultValue":{"type":"string","minLength":1},"configuration":{"default":{"rows":4},"type":"object","properties":{"maxLength":{"description":"Maximum length of the text","type":"number"},"rows":{"description":"Number of visible text lines","type":"number"},"cols":{"description":"Number of visible columns","type":"number"},"prefix":{"$ref":"#/components/schemas/TranslationConfig"},"postfix":{"$ref":"#/components/schemas/TranslationConfig"}},"additionalProperties":false}},"required":["id","label","type"],"additionalProperties":false},{"description":"An age input field which uses the current date as the asOfDate","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"AGE"},"defaultValue":{"type":"number"},"configuration":{"type":"object","properties":{"asOfDate":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},"prefix":{"$ref":"#/components/schemas/TranslationConfig"},"postfix":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["asOfDate"],"additionalProperties":false}},"required":["id","label","type","configuration"],"additionalProperties":false},{"description":"A single date input (yyyy-MM-dd)","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"DATE"},"defaultValue":{"description":"Default date value(yyyy-MM-dd)","anyOf":[{"type":"object","properties":{"$$now":{"type":"boolean","const":true}},"required":["$$now"],"additionalProperties":false},{"description":"Date in the format YYYY-MM-DD","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"}]},"configuration":{"type":"object","properties":{"notice":{"description":"Text to display above the date input","$ref":"#/components/schemas/TranslationConfig"}},"additionalProperties":false}},"required":["id","label","type"],"additionalProperties":false},{"description":"A single date input (HH-mm)","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"TIME"},"defaultValue":{"description":"Default time value (HH-mm)","anyOf":[{"type":"object","properties":{"$$now":{"type":"boolean","const":true}},"required":["$$now"],"additionalProperties":false},{"type":"string","pattern":"^([01][0-9]|2[0-3]):[0-5][0-9]$"}]},"configuration":{"type":"object","properties":{"use12HourFormat":{"description":"Whether to use 12-hour format","type":"boolean"},"notice":{"description":"Text to display above the time input","$ref":"#/components/schemas/TranslationConfig"}},"additionalProperties":false}},"required":["id","label","type"],"additionalProperties":false},{"description":"A date range input ({ start: yyyy-MM-dd, end: yyyy-MM-dd })","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"DATE_RANGE"},"defaultValue":{"description":"Date range with start and end dates in the format YYYY-MM-DD. Inclusive start, exclusive end.","anyOf":[{"type":"object","properties":{"start":{"description":"Date in the format YYYY-MM-DD","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"},"end":{"description":"Date in the format YYYY-MM-DD","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"}},"required":["start","end"],"additionalProperties":false},{"description":"Date in the format YYYY-MM-DD","type":"string","format":"date","pattern":"^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"}]},"configuration":{"type":"object","properties":{"notice":{"description":"Text to display above the date input","$ref":"#/components/schemas/TranslationConfig"}},"additionalProperties":false}},"required":["id","label","type"],"additionalProperties":false},{"description":"Select input with date range options","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"SELECT_DATE_RANGE"},"defaultValue":{"type":"string","enum":["last7Days","last30Days","last90Days","last365Days"]},"options":{"description":"A list of options","type":"array","items":{"type":"object","properties":{"value":{"description":"The value of the option","type":"string","enum":["last7Days","last30Days","last90Days","last365Days"]},"label":{"description":"The label of the option","$ref":"#/components/schemas/TranslationConfig"}},"required":["value","label"],"additionalProperties":false}}},"required":["id","label","type","options"],"additionalProperties":false},{"description":"A read-only image component for form pages","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"IMAGE_VIEW"},"defaultValue":{"type":"string","minLength":1},"configuration":{"type":"object","properties":{"alt":{"description":"Alternative text for the image","type":"string"},"width":{"description":"CSS width value for the image","type":"string"},"height":{"description":"CSS height value for the image","type":"string"},"textAlign":{"description":"Text alignment for positioning the image in its container","type":"string","enum":["left","center","right","start","end"]},"objectFit":{"description":"How the image should be resized to fit the container","type":"string","enum":["contain","cover","fill","none","scale-down"]}},"additionalProperties":false}},"required":["id","label","type","configuration"],"additionalProperties":false},{"description":"A read-only HTML <p> paragraph","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"PARAGRAPH"},"defaultValue":{"type":"string","minLength":1},"configuration":{"default":{},"type":"object","properties":{"styles":{"type":"object","properties":{"hint":{"description":"When true, paragraph is styled as a hint with grey color","type":"boolean"},"textAlign":{"description":"Text alignment for the paragraph","type":"string","enum":["left","center","right","start","end"]}},"additionalProperties":false}},"additionalProperties":false}},"required":["id","label","type","configuration"],"additionalProperties":false},{"description":"A read-only heading component for form pages","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"HEADING"},"defaultValue":{"type":"string","minLength":1},"configuration":{"default":{},"type":"object","properties":{"styles":{"type":"object","properties":{"fontVariant":{"description":"Font variant to use for the paragraph text","type":"string","enum":["reg12","reg14","reg16","reg18","h4","h3"]},"textAlign":{"description":"Text alignment for the paragraph","type":"string","enum":["left","center","right","start","end"]}},"additionalProperties":false}},"additionalProperties":false}},"required":["id","label","type","configuration"],"additionalProperties":false},{"description":"Grouped radio options","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"RADIO_GROUP"},"defaultValue":{"type":"string"},"options":{"description":"A list of options","type":"array","items":{"type":"object","properties":{"value":{"description":"The value of the option","type":"string"},"label":{"description":"The label of the option","anyOf":[{"type":"string"},{"$ref":"#/components/schemas/TranslationConfig"}]}},"required":["value","label"],"additionalProperties":false}},"configuration":{"type":"object","properties":{"styles":{"type":"object","properties":{"size":{"type":"string","enum":["NORMAL","LARGE"]}},"additionalProperties":false}},"additionalProperties":false}},"required":["id","label","type","options"],"additionalProperties":false},{"description":"A list of bullet points","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"BULLET_LIST"},"defaultValue":{"type":"string"},"items":{"description":"A list of items","type":"array","items":{"$ref":"#/components/schemas/TranslationConfig"}},"configuration":{"default":{},"type":"object","properties":{"styles":{"type":"object","properties":{"fontVariant":{"type":"string","enum":["reg12","reg14","reg16","reg18","h4","h3","h2","h1"]}},"additionalProperties":false}},"additionalProperties":false}},"required":["id","label","type","items","configuration"],"additionalProperties":false},{"description":"A read-only header component for form pages","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","properties":{"validator":{"$ref":"#/components/schemas/Conditional"},"message":{"$ref":"#/components/schemas/TranslationConfig"}},"required":["validator","message"],"additionalProperties":false}},"helperText":{"$ref":"#/components/schemas/TranslationConfig"},"hideLabel":{"default":false,"type":"boolean"},"uncorrectable":{"description":"Indicates whether the field can be modified during record correction.","default":false,"type":"boolean"},"value":{"description":"Reference to the source field or fields. When a value is defined, it is copied from the parent field when changed. If multiple references are provided, the first truthy value is used.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"analytics":{"description":"Indicates whether the field is included in analytics. When enabled, its value becomes available in the analytics dashboard.","default":false,"type":"boolean"},"type":{"type":"string","const":"PAGE_HEADER"},"defaultValue":{"type":"string","minLength":1}},"required":["id","label","type"],"additionalProperties":false},{"description":"Select input","type":"object","properties":{"id":{"description":"Unique identifier of the field.","type":"string"},"label":{"description":"Human-readable label of the field.","$ref":"#/components/schemas/TranslationConfig"},"parent":{"description":"Reference to the parent field or fields. When a parent field changes, this field is reset.","anyOf":[{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false},{"type":"array","items":{"description":"Reference to a field by its ID","type":"object","properties":{"$$field":{"description":"Unique identifier for the field","type":"string"},"$$subfield":{"description":"If the FieldValue is an object, subfield can be used to refer to e.g. `[\"foo\", \"bar\"]` in `{ foo: { bar: 3 } }`","default":[],"type":"array","items":{"type":"string"}}},"required":["$$field","$$subfield"],"additionalProperties":false}}]},"required":{"description":"Indicates whether the field is mandatory.","default":false,"anyOf":[{"type":"boolean"},{"type":"object","properties":{"message":{"description":"Custom required validation message","$ref":"#/components/schemas/TranslationConfig"}},"required":["message"],"additionalProperties":false}]},"conditionals":{"description":"Conditions determining when the field is shown or enabled. By default, the field is always shown and enabled.","default":[],"type":"array","items":{"$ref":"#/components/schemas/FieldConditional"}},"secured":{"description":"Indicates whether the field is secured. Secured fields are not indexed for search and are only visible when explicitly assigned.","default":false,"type":"boolean"},"placeholder":{"$ref":"#/components/schemas/TranslationConfig"},"validation":{"description":"Additional validation rules applied to the field.","default":[],"type":"array","items":{"type":"object","
[...]
